### Hierarchy

- XmlComponent
  - Footer

## Index

### Constructors

- constructor

### Properties

- deleted
- root
- rootKey

### Accessors

- isDeleted
- referenceId

### Methods

- addChildElement
- addDrawing
- addParagraph
- addTable
- createParagraph
- createTable
- delete
- prepForXml

## Constructors

### constructor

- new Footer(referenceNumber: number): Footer

- Overrides XmlComponent.constructor

  - Defined in file/footer/footer.ts:9

  #### Parameters

  - ##### referenceNumber: number

  #### Returns Footer

## Properties

### Protected deleted

deleted: boolean = false

Inherited from BaseXmlComponent.deleted

- Defined in file/xml-components/base.ts:5

### Protected root

root: Array<BaseXmlComponent | string>

Inherited from XmlComponent.root

- Defined in file/xml-components/xml-component.ts:6

### Protected rootKey

rootKey: string

Inherited from BaseXmlComponent.rootKey

- Defined in file/xml-components/base.ts:4

## Accessors

### isDeleted

- get isDeleted(): boolean

- Inherited from BaseXmlComponent.isDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

### referenceId

- get referenceId(): number

- - Defined in file/footer/footer.ts:35

  #### Returns number

## Methods

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addDrawing

- addDrawing(imageData: IMediaData): void

- - Defined in file/footer/footer.ts:59

  #### Parameters

  - ##### imageData: IMediaData

  #### Returns void

### addParagraph

- addParagraph(paragraph: Paragraph): void

- - Defined in file/footer/footer.ts:39

  #### Parameters

  - ##### paragraph: Paragraph

  #### Returns void

### addTable

- addTable(table: Table): void

- - Defined in file/footer/footer.ts:49

  #### Parameters

  - ##### table: Table

  #### Returns void

### createParagraph

- createParagraph(text?: undefined | string): Paragraph

- - Defined in file/footer/footer.ts:43

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

### createTable

- createTable(rows: number, cols: number): Table

- - Defined in file/footer/footer.ts:53

  #### Parameters

  - ##### rows: number

  - ##### cols: number

  #### Returns Table

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

Generated using TypeDoc